#!/bin/sh

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

DESTARG=null
DESTPORTARG=null
VERSIONARG=null

if [ $# -eq 0 ]
then
 DEBUGOPTS=
elif [ "$1" = "debug" ]
then
 DEBUGOPTS='-traceString "com.ibm.*=all=enabled" '
 if [ $# -eq 2 ]
 then
  DESTARG=$2
 elif [ $# -eq 3 ]
 then
  DESTARG=$2
  DESTPORTARG=$3
 elif [ $# -eq 4 ]
 then
  DESTARG=$2
  DESTPORTARG=$3
  VERSIONARG=$4
 fi
else
 DEBUGOPTS=
 if [ $# -eq 1 ]
 then
  DESTARG=$1
 elif [ $# -eq 2 ]
 then
  DESTARG=$1
  DESTPORTARG=$2
 elif [ $# -eq 3 ]
 then
  DESTARG=$1
  DESTPORTARG=$2
  VERSIONARG=$3
 fi
fi

if [ "${DESTARG}" = "null" ]
then
 echo 'No remote host or port argument specified. This host and port 900 will be used.'
 echo 'This command may be issued as: ra <host address <port number>>'
 DEST=
 DESTPORT=
 VERSION=
elif [ "${DESTPORTARG}" = "null" ]
then
 DEST=$DESTARG
 DESTPORT=
 VERSION=
 echo 'Remote AdminServer '$DESTARG' will be accessed on the default port 900.'
elif [ "${VERSIONARG}" = "null" ]
then
 DEST=$DESTARG
 DESTPORT=$DESTPORTARG
 VERSION=
 echo 'Remote AdminServer '$DESTARG' will be accessed on the default port '$DESTPORTARG'.'
else
 DEST=$DESTARG
 DESTPORT=$DESTPORTARG
 VERSION=$VERSIONARG
 echo 'Remote AdminServer ('$VERSIONARG') '$DESTARG' will be accessed on port '$DESTPORTARG'.'
fi

OS=`uname`
case $OS in
AIX | Linux)
  WAS_JAVAOPTS="-Xminf0.15 -Xmaxf0.25" ;;
SunOS | HP-UX)
  WAS_JAVAOPTS=-Xbootclasspath/a:$JAVA_HOME/jre/lib/ext/ibmorb.jar ;;
esac

$JAVA_HOME/bin/java \
  $WAS_JAVAOPTS \
  $CLIENTSAS \
  -Dserver.root=$WAS_HOME \
  -Dws.ext.dirs=$WAS_EXT_DIRS \
  -classpath $WAS_CLASSPATH com.ibm.ws.bootstrap.WSLauncher \
  com.ibm.websphere.pmi.ra.view.RAGui $DEST $DESTPORT $VERSION
