#!/bin/sh
# Copyright IBM Corp. 2001

OLT_HOST=localhost
OLT_PORT=2102
DEBUG_CP=""
JDWP_PORT=7777

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

while [ $# -ge 1 ]; do
  if  [ "$1" = "-debug" ]; then
        DEBUG_ENABLED="TRUE"
  elif [ "$1" = "-oltenabled" ]; then
        OLT_ENABLED="TRUE"
  elif [ "$1" = "-host" ]; then
        shift;
        OLT_HOST=$1
  elif [ "$1" = "-port" ]; then
        shift;
        OLT_PORT=$1
  elif [ "$1" = "-debug_cp" ]; then
        shift;
        DEBUG_CP=$1
  fi
  shift;
done

if [ "${OLT_ENABLED}" = "TRUE" ]; then
  OLT_OPTIONS="-Dcom.ibm.CORBA.EnableApplicationOLT=true -Dcom.ibm.CORBA.OLTApplicationHost=${OLT_HOST} -Dcom.ibm.CORBA.OLTApplicationPort=${OLT_PORT}"
fi

PLATFORM=`/bin/uname`

if [ "${DEBUG_ENABLED}" = "TRUE" ]; then
  DEBUG_OPTIONS="-Xdebug -Xnoagent -Xbootclasspath/a:${JAVA_HOME}/lib/tools.jar -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=${JDWP_PORT} -Djava.compiler=none -Dcom.ibm.debug.jdwpport=${JDWP_PORT} -Denv.class.path=${DEBUG_CP} -Dcom.ibm.CORBA.requestTimeout=0 -Dwas.debug.enabled=true"
  case $PLATFORM in
    HP-UX) DEBUG_OPTIONS="-classic -Xnojit $DEBUG_OPTIONS" ;;
  esac
fi

WAS_LIBPATH=$WAS_HOME/bin
case $PLATFORM in
  AIX)
    LIBPATH=$WAS_LIBPATH:$LIBPATH
    export LIBPATH ;;
  Linux)
    LD_LIBRARY_PATH=$WAS_LIBPATH:$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  SunOS)
    WAS_JAVAOPTS="-Xbootclasspath/a:$JAVA_HOME/jre/lib/ext/ibmorb.jar"
    LD_LIBRARY_PATH=$WAS_LIBPATH:$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  HP-UX)
    WAS_JAVAOPTS="-Xbootclasspath/a:$JAVA_HOME/jre/lib/ext/ibmorb.jar"
    SHLIB_PATH=$WAS_LIBPATH:$SHLIB_PATH
    export SHLIB_PATH ;;
esac

# execute an instance of the Standard Edition WebSphere Application Server
$JAVA_HOME/bin/java \
  $WAS_JAVAOPTS \
  $OLT_OPTIONS \
  $DEBUG_OPTIONS \
  -Dcom.ibm.itp.location=$WAS_HOME/bin \
  $SERVERSAS \
  -Dserver.root=$WAS_HOME \
  -Dws.ext.dirs=$WAS_EXT_DIRS \
  -classpath $WAS_CLASSPATH com.ibm.ws.bootstrap.WSLauncher \
  com.ibm.ws.runtime.StandardServer "$@"
