#!/bin/sh

# Uninstall for WAS PTF

REL="was40"
PTFNUM="ptf_2"

echo "Uninstalling WAS $PTFNUM"
echo "Please shut down the Application Server and any Webservers that might be running."
echo "If not the PTF may not be Uninstalled properly"

# Get OS name, used in places for copy options and cases.
OS_NAME=`uname`

#Get the current directory of this script.  Everything is relative to it.
binDir=`dirname $0`
export binDir

# Set needed files info
BACKUP_JAR=$REL"_"$PTFNUM"_backup.jar"
LOG_FILE=$REL"_"$PTFNUM".log"
JAVA_BACKUP_JAR="jdk_"$PTFNUM"_backup.jar"
IHS_BACKUP_JAR="ihs_"$PTFNUM"_backup.jar"
IHS_LOG_FILE="ihs_"$PTFNUM".log"
JAVA_LOG_FILE="jdk_"$PTFNUM".log"
JAVA_PTF_DIR=$binDir/java_$PTFNUM
J2C_BACKUP_JAR="J2C_ptf_$PTFNUM_backup.jar"

# Set JAVA_HOME.
if [ -d $binDir/java ] ; then
  JAVA_HOME=$binDir/java
  export JAVA_HOME
else
  JAVA_HOME=$binDir/jre
  export JAVA_HOME
fi

#Set path according to OS.
case "${OS_NAME}" in 
  AIX)
    PATH=$JAVA_HOME/bin:$PATH
    export PATH
    ;;
  SunOS|Solaris)
    PATH=$JAVA_HOME/bin:$PATH
    export PATH
    ;;
  HP-UX)
    PATH=$JAVA_HOME/bin:/usr/sbin:$PATH
    export PATH
    ;;
  Linux)
    PATH=$JAVA_HOME/bin:$PATH
    export PATH
    ;;
esac

if [ "$OS_NAME" = "AIX" ] ; then
   slibclean
fi

#Uninstalling the WAS PTF
while :
do
    echo "Uninstall WebSphere Application Server $PTFNUM (y/n)?"
    read WAS_UNINSTALL
    if [ "${WAS_UNINSTALL}" = "" ] ; then
       continue
    fi

    case "${WAS_UNINSTALL}" in 
      y|n)
         break
         ;;
      *)
         echo ""
         echo "Please enter y for Yes or n for No"
         echo ""
         continue
         ;;
     esac
done

if [ "$WAS_UNINSTALL" = "y" ] ; then
   echo "Uninstalling the IBM WebSphere Application $PTFNUM"
   if [ -f ${WAS_UNINSTALL}/$J2C_BACKUP_JAR ] ; then
       ${WAS_UNINSTALL}/uninstallJ2C.sh
   fi

   java -jar $binDir/$BACKUP_JAR -log $binDir/logs/$LOG_FILE
fi

#Uninstall the JDK PTF 
while :
do
    echo "Please enter whether you want to uninstall JDK PTF (y/n)"
    read JDK_UNINSTALL
    if [ "${JDK_UNINSTALL}" = "" ] ; then
       continue
    fi

    case "${JDK_UNINSTALL}" in
      y|n)
         break
         ;;
      *)
         echo ""
         echo "Please enter y for Yes or n for No"
         echo ""
         continue
         ;;
     esac
done

if [ "$JDK_UNINSTALL" = "y" ] ; then
   echo "Uninstalling the JDK $PTFNUM"
   mkdir $JAVA_PTF_DIR

   # Make sure to retain symlinks for Linux.
   case "${OS_NAME}" in
     Linux)
       cp -Rfd $JAVA_HOME/* $JAVA_PTF_DIR/
       ;;
     *)
       cp -R $JAVA_HOME/* $JAVA_PTF_DIR/
       ;;
   esac

   java -jar $binDir/$JAVA_BACKUP_JAR -log $binDir/logs/$JAVA_LOG_FILE
   sleep 5

   rm -rf $JAVA_HOME
   mkdir $JAVA_HOME

   case "${OS_NAME}" in
     Linux)
       cp -Rfd $JAVA_PTF_DIR/* $JAVA_HOME/
       ;;
     *)
       cp -R $JAVA_PTF_DIR/* $JAVA_HOME/
       ;;
   esac
   rm -rf $JAVA_PTF_DIR/
fi

#Uninstalling the IHS PTF
while :
do
    echo "Please enter whether you want to uninstall IHS WebServer PTF (y/n)"
    read IHS_UNINSTALL
    if [ "${IHS_UNINSTALL}" = "" ] ; then
       continue
    fi
    case "${IHS_UNINSTALL}" in
      y|n)
         break
         ;;
      *)
         echo ""
         echo "Please enter y for Yes or n for No"
         echo ""
         continue
         ;;
    esac
done

if [ "$IHS_UNINSTALL" = "y" ] ; then
   echo "Uninstalling the IHS $PTFNUM"
   java -jar $binDir/$IHS_BACKUP_JAR -log $binDir/logs/$IHS_LOG_FILE
fi

if [ "$OS_NAME" = "AIX" ] ; then
   slibclean
fi
